package cn.orionsec.ops.dao;

import cn.orionsec.ops.entity.domain.MachineInfoDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MachineInfoDAO extends BaseMapper<MachineInfoDO> {

    /**
     * 设置id
     *
     * @param oldId 原id
     * @param newId 新id
     */
    void setId(@Param("oldId") Long oldId, @Param("newId") Long newId);

    /**
     * 设置proxyId为null
     *
     * @param proxyId proxyId
     */
    void setProxyIdWithNull(@Param("proxyId") Long proxyId);

    /**
     * 通过host查询id
     *
     * @param host host
     * @return rows
     */
    List<Long> selectIdByHost(@Param("host") String host);

    /**
     * 查询机器名称
     *
     * @param id id
     * @return name
     */
    String selectMachineName(@Param("id") Long id);

    /**
     * 查询机器名称
     *
     * @param idList idList
     * @return rows
     */
    List<MachineInfoDO> selectNameByIdList(@Param("idList") List<Long> idList);

    /**
     * 查询机器id
     *
     * @param tagList tagList
     * @return rows
     */
    List<MachineInfoDO> selectIdByTagList(@Param("tagList") List<String> tagList);

}
